<!-- Auto-generated from JSON by GDScript docs maker. Do not edit this document directly. -->

# ESCSpeechPlayer

**Extends:** [Control](../Control)

## Description

Speech player

## Property Descriptions

### global\_id

```gdscript
export var global_id: String = "_speech"
```

Global id of the background music player

## Method Descriptions

### set\_state

```gdscript
func set_state(p_state: String, p_force: bool = false) -> void
```

Set the state of this player

#### Parameters

- p_state: New state to use
- p_force: Override the existing state even if the stream is still playing